; ========================== TILES () ==================================

hurricane_spr:
 incbin gfx\sprites\hurricane1.smd
 incbin gfx\sprites\hurricane2.smd
 incbin gfx\sprites\hurricane3.smd

lastankspr:
 incbin gfx\sprites\lasertank1.smd
 incbin gfx\sprites\lasertank2.smd
 incbin gfx\sprites\lasertank3.smd

laserspr:
 incbin gfx\sprites\laserbeam1.smd
 incbin gfx\sprites\laserbeam2.smd
 incbin gfx\sprites\laserbeam3.smd

rquadspr:
 incbin gfx\sprites\rocketquad.smd

orkaspr:
 incbin gfx\sprites\orka.smd

hoverspr:
 incbin gfx\sprites\hover1.smd
 incbin gfx\sprites\hover2.smd
 incbin gfx\sprites\hover3.smd
 
deviatorspr:
 incbin gfx\sprites\deviator.smd
 
assaultspr: 
; incbin gfx\sprites\assltank.smd
ptrkspr:
; incbin gfx\sprites\ptrk.smd


; =============== SPR VRAM POS (ר  ) ========================


hurc_tile	equ	(hurricane_spr-new_units_spr)/32+base
lastank_tile	equ	(lastankspr-new_units_spr)/32+base
laser_tile	equ	(laserspr-new_units_spr)/32+base
rquad_tile	equ	(rquadspr-new_units_spr)/32+base
orka_tile	equ	(orkaspr-new_units_spr)/32+base
hover_tile	equ	(hoverspr-new_units_spr)/32+base
deviator_tile	equ	(deviatorspr-new_units_spr)/32+base
assault_tile	equ	(assaultspr-new_units_spr)/32+base
ptrk_tile	equ	(ptrkspr-new_units_spr)/32+base


; ================= SPRITES CONFINGS ( ) ========================

; :
; spr_cnt, unused, unused, Y_pos, spr_size, tile+attrib, X_pos
; (--1), _., _., _Y, , _, _X

deviator_spr_cfg1: 	dc.w 0,	$18, $18, $FFF4, spr3x3, deviator_tile+00, $FFF4
deviator_spr_cfg2: 	dc.w 0,	$18, $18, $FFF4, spr3x3, deviator_tile+09, $FFF4
deviator_spr_cfg3:	dc.w 0,	$18, $18, $FFF4, spr3x3, deviator_tile+18, $FFF4

assault_spr_cfg1: 	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+00, $FFF4
assault_spr_cfg2: 	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+09, $FFF4
assault_spr_cfg3:	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+18, $FFF4

hover_spr_cfg1:		dc.w 0,	$18, $18, $FFF4, spr2x3, hover_tile+00, $FFF8
hover_spr_cfg2:		dc.w 0,	$18, $18, $FFF4, spr3x3, hover_tile+06, $FFF4
hover_spr_cfg3:		dc.w 0,	$18, $18, $FFF8, spr3x2, hover_tile+15, $FFF4

orka_spr_cfg1:		dc.w 0, $18, $18, $FFF4, spr3x3, orka_tile+00, $FFF4
orka_spr_cfg2:		dc.w 0, $18, $18, $FFF4, spr3x3, orka_tile+09, $FFF4
orka_spr_cfg3:		dc.w 0, $18, $18, $FFF4, spr3x3, orka_tile+18, $FFF4

Rquad_spr_cfg1:		dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+00, $FFF8
Rquad_spr_cfg2:		dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+04, $FFF8
Rquad_spr_cfg3:		dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+08, $FFF8
Rquad_spr_cfg4:		dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+12, $FFF8
Rquad_spr_cfg5:		dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+16, $FFF8

laser_spr_cfg1:		dc.w 0, $10, $10, $FFF8, spr1x2, laser_tile+00, $FFFC
laser_spr_cfg2:		dc.w 0, $10, $10, $FFFA, spr2x2, laser_tile+02, $FFFA
laser_spr_cfg3:		dc.w 0, $10, $10,    $0, spr2x1, laser_tile+06, $FFF8


ptrk_spr_cfg1:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+00, $FFFC
ptrk_spr_cfg2:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+01, $FFFC
ptrk_spr_cfg3:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+02, $FFFC
ptrk_spr_cfg4:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+03, $FFFC
ptrk_spr_cfg5:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+04, $FFFC
ptrk_spr_cfg6:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+05, $FFFC
ptrk_spr_cfg7:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+06, $FFFC
ptrk_spr_cfg8:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+07, $FFFC
ptrk_spr_cfg9:		dc.w 0,	8, 8, $FFFC, spr1x1,	ptrk_tile+08, $FFFC


blank3f_spr_cfg1:	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+00, $FFF4
blank3f_spr_cfg2:	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+09, $FFF4
blank3f_spr_cfg3:	dc.w 0,	$18, $18, $FFF4, spr3x3, assault_tile+18, $FFF4

blank5f_spr_cfg1:	dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+00, $FFF8
blank5f_spr_cfg2:	dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+04, $FFF8
blank5f_spr_cfg3:	dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+08, $FFF8
blank5f_spr_cfg4:	dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+12, $FFF8
blank5f_spr_cfg5:	dc.w 0,	$10, $10, $FFF8, spr2x2, rquad_tile+16, $FFF8


blank_t_spr_cfg1:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F2, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F2,     0
		dc.w	  8,	 8,	0,     0,  $3F2, $FFFC
blank_t_spr_cfg2:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F3, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F3,     0
		dc.w	  8,	 8,	0,     0,  $3F3, $FFFC
blank_t_spr_cfg3:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F4, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F4,     0
		dc.w	  8,	 8,	0,     0,  $3F4, $FFFC
blank_t_spr_cfg4:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F5, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F5,     0
		dc.w	  8,	 8,	0,     0,  $3F5, $FFFC
blank_t_spr_cfg5:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F6, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F6,     0
		dc.w	  8,	 8,	0,     0,  $3F6, $FFFC
blank_t_spr_cfg6:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F7, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F7,     0
		dc.w	  8,	 8,	0,     0,  $3F7, $FFFC
blank_t_spr_cfg7:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F8, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F8,     0
		dc.w	  8,	 8,	0,     0,  $3F8, $FFFC
blank_t_spr_cfg8:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F9, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F9,     0
		dc.w	  8,	 8,	0,     0,  $3F9, $FFFC
blank_t_spr_cfg9:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3FA, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3FA,     0
		dc.w	  8,	 8,	0,     0,  $3FA, $FFFC	
		

blank_i_spr_cfg1:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3E9, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3E9,     0
		dc.w	  8,	 8,	0,     0,  $3E9, $FFFC
blank_i_spr_cfg2:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3EA, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3EA,     0
		dc.w	  8,	 8,	0,     0,  $3EA, $FFFC
blank_i_spr_cfg3:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3EB, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3EB,     0
		dc.w	  8,	 8,	0,     0,  $3EB, $FFFC
blank_i_spr_cfg4:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3EC, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3EC,     0
		dc.w	  8,	 8,	0,     0,  $3EC, $FFFC
blank_i_spr_cfg5:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3ED, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3ED,     0
		dc.w	  8,	 8,	0,     0,  $3ED, $FFFC
blank_i_spr_cfg6:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3EE, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3EE,     0
		dc.w	  8,	 8,	0,     0,  $3EE, $FFFC
blank_i_spr_cfg7:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3EF, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3EF,     0
		dc.w	  8,	 8,	0,     0,  $3EF, $FFFC
blank_i_spr_cfg8:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F0, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F0,     0
		dc.w	  8,	 8,	0,     0,  $3F0, $FFFC
blank_i_spr_cfg9:	dc.w 2
		dc.w	  8,	 8, $FFF8,     0,  $3F1, $FFF8
		dc.w	  8,	 8, $FFF8,     0,  $3F1,     0
		dc.w	  8,	 8,	0,     0,  $3F1, $FFFC
		

hurricane_spr_cfgs:
		include	gfx\sprites\hurricane_spr.asm
lasertank_spr_cfgs:
		include	gfx\sprites\lasert_spr.asm		
		
		include	gfx\sprites\end_mission_spr.asm

		