EXPANDED_MAP	= 1
		org	0
		incbin	DuneHack_r81b_x128.bin
		
		org	$268
		include	misc\block_type.asm

		org	$34E00+($165*8)
		include	gfx\sprites\new_spr_ptr.asm
		include	gfx\sprites\new_spr_75.asm

		org	$39C00
		include	language_info.asm

		include	gems\gems_ptr.asm
		include misc\surfaces.asm
		include	misc\harv_bonus.asm
		include misc\region_colors.asm
		include	misc\ai_units_attack.asm
		include misc\spice_quanity.asm
		include	misc\spice_regen.asm
		include misc\units_ai.asm
		include	misc\ai_cheat.asm
		include misc\upgrades.asm
		include misc\camps.asm
		include misc\house_info.asm
		include misc\diff_levels.asm
		include misc\sounds.asm
		include misc\radar_map_colors.asm	
		
ru_names_flag:	dc.b	RU_NAMES
ru_gfx_flag:	dc.b	RU_GFX
new_music_flag:	dc.b	NEW_MUSIC
ru_passw_flag:	dc.b	RU_PASSWORD

		even
		
txt_present_ptr:	dc.l	asc_173F4
txt_start_ptr:		dc.l	asc_173FC
txt_options_ptr:	dc.l	asc_17407
txt_level_ptr:		dc.l	asc_level

txt_are_you_sure_ptr:	dc.l	asc_21A32
txt_empty_ptr:		dc.l	asc_21A40
txt_yes_no_ptr:		dc.l	asc_21A4E
		
txt_upgrade_ptr:	dc.l	asc_276BE		
txt_dmg_ptr:		dc.l	asc_276CC
txt_out_of_stock_ptr:	dc.l	asc_27904

the_end_txt_ptr:	dc.l	the_end_txt
end_titles_ptr:		dc.l	end_titles

level_names:
		dc.l	level_e
		dc.l	level_n
		dc.l	level_h
		dc.l	level_m
		
ranks_points:	dc.w 50
		dc.w 100
		dc.w 150
		dc.w 200
		dc.w 250
		dc.w 300
		dc.w 400
		dc.w $FFFF		
		
		include texts\ranks.asm
		include	texts\ranks_rus.asm
		include	texts\passw_tbl_rus.asm
		include	texts\music_names.asm
		include	units\units_extras.asm
		include	units\script_id.asm
		include buildings\turret_dmg.asm
		include buildings\can_build.asm		
		include gfx\palettes\gamepal.asm
		include gfx\palettes\regions.asm
		include	gfx\palettes\ending.asm
		include gfx\sprites\new_icons_pal.asm
		include gfx\herbs\herbs_shields_spr.asm
		
pal_vic_lose:	incbin	gfx\win_lose\viclose_pal.bin
		
		IF	(RU_GFX=1)
tiles_lose:
		incbin	gfx\win_lose\lose_rus.smd
tiles_vict:
		incbin	gfx\win_lose\victory_rus.smd
title_tilemap_part1:
		incbin	gfx\title\title_tilemap1_ru.bin
title_tilemap_part2:
		incbin	gfx\title\title_tilemap2_ru.bin
title_tileset_part2:
		incbin	gfx\title\title_part2_ru.smd
title_tileset_part7:
		incbin	gfx\title\title_part7_ru.smd
yes_no_btn_gfx:
		incbin	gfx\mentat\buttons\yes_no_rus.smd
advc_procd_gfx:
		incbin	gfx\mentat\buttons\proceed_advice_rus.smd		
icons_exit:
		incbin	gfx\small_icons\exit_ru.smd
icons_fix:
		incbin	gfx\small_icons\fix_ru.smd
icons_stop:
		incbin	gfx\small_icons\stop_ru.smd
icons_fix2:
		incbin	gfx\small_icons\fix2_ru.smd
icons_stop2:
		incbin	gfx\small_icons\stop2_ru.smd	
herbs_tilemap:
		incbin	gfx\herbs\HERBSMAP_RUS.BIN
		
		ELSE
tiles_lose:
		incbin	gfx\win_lose\lose.smd
tiles_vict:
		incbin	gfx\win_lose\victory.smd
title_tilemap_part1:
		incbin	gfx\title\title_tilemap1.bin
title_tilemap_part2:
		incbin	gfx\title\title_tilemap2.bin
title_tileset_part2:
		incbin	gfx\title\title_part2.smd
title_tileset_part7:
		incbin	gfx\title\title_part7.smd
yes_no_btn_gfx:
		incbin	gfx\mentat\buttons\yes_no.smd
advc_procd_gfx:
		incbin	gfx\mentat\buttons\proceed_advice.smd
icons_exit:
		incbin	gfx\small_icons\exit.smd
icons_fix:
		incbin	gfx\small_icons\fix.smd
icons_stop:
		incbin	gfx\small_icons\stop.smd
icons_fix2:
		incbin	gfx\small_icons\fix2.smd
icons_stop2:
		incbin	gfx\small_icons\stop2.smd		
herbs_tilemap:
		incbin	gfx\herbs\HERBSMAP.BIN		
		ENDC
		
mentat_cur_gfx:
		incbin	gfx\mentat\buttons\mentcurs.smd	
region_arrows:
		incbin	gfx\mentat\buttons\arrows.smd	
			
logos_tilemap_part1:
		incbin	gfx\title\logos_tilemap1.bin
logos_tilemap_part2:
		incbin	gfx\title\logos_tilemap2.bin
		
title_tileset_part1:
		incbin	gfx\title\title_part1.smd
title_tileset_part3:
		incbin	gfx\title\title_part3.smd
title_tileset_part4:
		incbin	gfx\title\title_part4.smd
title_tileset_part5:
		incbin	gfx\title\title_part5.smd
title_tileset_part6:
		incbin	gfx\title\title_part6.smd
		
ending_tileset_part1:
		incbin	gfx\title\final_part1.smd
ending_tileset_part2:
		incbin	gfx\title\final_part2.smd 
ending_tileset_part3:
		incbin	gfx\title\final_part3.smd
ending_tileset_part4:
		incbin	gfx\title\final_part4.smd
		
ending_tilemap_part1:
		incbin	gfx\title\final_tilemap1.bin
ending_tilemap_part2:	
		incbin	gfx\title\final_tilemap2.bin

options_m_pal:
 incbin	gfx\menu\optmenu_pal.bin

options_mf_pal:
 incbin	gfx\menu\optmenuf_pal.bin

reg_h_pal_norm:
 incbin	gfx\menu\reghnorm_pal.bin

mentat_cur_pal:
 incbin	gfx\menu\mentcurs_pal.bin

reg_h_pal_sard:
 incbin	gfx\menu\reghsard_pal.bin

build_menu_pal:
 incbin	gfx\menu\builmenu_pal.bin

option_m_pal:
 incbin	gfx\menu\optsmenu_pal.bin

starport_pal:
 incbin	gfx\menu\starport_pal.bin

finalscr_pal:
 incbin	gfx\menu\finalscr_pal.bin

title_scr_pal:
 incbin	gfx\menu\titlescr_pal.bin

intro_main_pal:
 incbin	gfx\menu\intrmain_pal.bin

intro_ship_pal:
 incbin	gfx\menu\intrship_pal.bin
 
score_scrn_pal:
 incbin	gfx\menu\scorescr_pal.bin
 
losepic_pal:
 incbin	gfx\win_lose\losepic_pal.bin

winpic_pal:
 incbin	gfx\win_lose\winpic_pal.bin

font_pal:
 		incbin	gfx\mentat\buttons\font_pal.bin
		
mentat_pals:
 		incbin	gfx\mentat\harkonnen\harkonnen_pal.bin
 		incbin	gfx\mentat\atreides\atreides_pal.bin
 		incbin  gfx\mentat\ordos\ordos_pal.bin
 		incbin  gfx\mentat\fremen\fremen_pal.bin
 		incbin	gfx\mentat\sardaukar\sardaukar_pal.bin
		
		
mentat_gx_tors:	dc.l mentat_H_tors
		dc.l mentat_A_tors
		dc.l mentat_O_tors
		dc.l mentat_F_tors
		dc.l mentat_S_tors

mentat_gfx_eye:	dc.l mentat_H_eye
		dc.l mentat_A_eye
		dc.l mentat_O_eye
		dc.l mentat_F_eye
		dc.l mentat_S_eye

mentat_gfx_rot:	dc.l mentat_H_rot
		dc.l mentat_A_rot
		dc.l mentat_O_rot
		dc.l mentat_F_rot
		dc.l mentat_S_rot		

		include	gfx\mentat\face_pos.asm
		
mentat_H_tors:
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p1.smd
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p2.smd
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p3.smd
mentat_H_eye:
		incbin	gfx\mentat\harkonnen\harkonnen_eye.smd
mentat_H_rot:
		incbin	gfx\mentat\harkonnen\harkonnen_rot.smd

mentat_A_tors:
		incbin	gfx\mentat\atreides\atreides_tors_p1.smd
		incbin	gfx\mentat\atreides\atreides_tors_p2.smd
		incbin	gfx\mentat\atreides\atreides_tors_p3.smd
mentat_A_eye:
		incbin	gfx\mentat\atreides\atreides_eye.smd
mentat_A_rot:
		incbin	gfx\mentat\atreides\atreides_rot.smd
		
mentat_O_tors:
		incbin	gfx\mentat\ordos\ordos_tors_p1.smd
		incbin	gfx\mentat\ordos\ordos_tors_p2.smd
		incbin	gfx\mentat\ordos\ordos_tors_p3.smd
mentat_O_eye:
		incbin	gfx\mentat\ordos\ordos_eye.smd
mentat_O_rot:
		incbin	gfx\mentat\ordos\ordos_rot.smd

mentat_F_tors:
		incbin	gfx\mentat\fremen\fremen_ment_part1.smd
mentat_F_eye:
		incbin	gfx\mentat\fremen\fremen_ment_part2.smd
mentat_F_rot:
		incbin	gfx\mentat\fremen\fremen_ment_part3.smd

mentat_S_tors:
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p1.smd
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p2.smd
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p3.smd
mentat_S_eye:
 		incbin	gfx\mentat\sardaukar\sardaukar_eye.smd
mentat_S_rot:
 		incbin	gfx\mentat\sardaukar\sardaukar_rot.smd		
		

herbs_gfx:
		incbin	gfx\herbs\select_your_house.smd
		incbin	gfx\herbs\ramka.smd

		IF (RU_GFX=0)
		incbin	gfx\herbs\house_buttons.smd
		ELSE
		incbin	gfx\herbs\house_buttons_rus.smd
		ENDC	

		incbin	gfx\herbs\atreides.smd
		incbin	gfx\herbs\ordos.smd
		incbin	gfx\herbs\harkonnen.smd

		incbin	gfx\herbs\fremen.smd
		incbin	gfx\herbs\sardaukar.smd

		incbin	gfx\herbs\a_shield.smd
		incbin	gfx\herbs\o_shield.smd
		incbin	gfx\herbs\f_shield.smd
		incbin	gfx\herbs\s_shield.smd
		
		incbin	gfx\herbs\select_your_house_rus.smd

herbs_palette:
houses_pal:
		incbin	gfx\herbs\pal1.bin
		incbin	gfx\herbs\pal2.bin
		incbin	gfx\herbs\pal3.bin
		incbin	gfx\herbs\pal4.bin
		

fontmain:	dc.w $1000
 incbin	gfx\fonts\fontmain.smd

font1:
 incbin	gfx\fonts\font.smd

fontnumb:
 incbin	gfx\fonts\fontnumb.smd

font2:
 incbin	gfx\fonts\font2.smd

font3:
 incbin	gfx\fonts\font3.smd

font_table:
 incbin	gfx\fonts\font_tbl.bin
 
ramka_tiles:
 incbin	gfx\menu\ramka.smd
		
unk_96324:
 incbin	gfx\menu\rgnearth1.smd
 
region_earth:
 incbin	gfx\menu\rgnearth.smd
 
word_A6F32:
 incbin	gfx\menu\bmenu_gfx_full.smd
 
word_C35C0:
 incbin	gfx\menu\bmenu_map.bin
 
ommap_ptr:
 incbin gfx\menu\options.bin

omptr:		
 incbin	gfx\menu\options.smd
omend:

pmap_ptr:
 incbin	gfx\menu\password.bin
 
pmptr:		
 incbin	gfx\menu\password.smd
pmend:

smap_ptr:
 incbin	gfx\menu\starport.bin
 
smptr:
 incbin	gfx\menu\starport.smd
smend:

metatiles:
 incbin	gfx\metatiles.bin

gmptr:
 incbin	gfx\game.smd
gmend:
  
		dc.l icons_stop2
		dc.l icons_fix2
		dc.l icons_stop
		dc.l icons_fix
		dc.l icons_exit
bmenubuild_ico:	dc.l icons_slabx1
		dc.l icons_slabx4
		dc.l icons_palace
		dc.l icons_factory
		dc.l icons_hfactory
		dc.l icons_hitech
		dc.l icons_ix
		dc.l icons_wor
		dc.l icons_cnstyard
		dc.l icons_windtrap
		dc.l icons_barrac
		dc.l icons_starport
		dc.l icons_refinery
		dc.l icons_repair
		dc.l icons_wall
		dc.l icons_turret
		dc.l icons_rturret
		dc.l icons_spcsilos
		dc.l icons_outpost
		dc.l icons_upgrade
		
		dc.l icons_stop2
		dc.l icons_fix2
		dc.l icons_stop
		dc.l icons_fix
		dc.l icons_exit
bmenuunits_ico:	dc.l icons_carryall
		dc.l icons_thopter
		dc.l icons_infantry
		dc.l icons_troopers
		dc.l icons_soldier
		dc.l icons_trooper
		dc.l icons_saboteur
		dc.l icons_launcher
		dc.l icons_deviator
		dc.l icons_tank
		dc.l icons_hvy_tank
		dc.l icons_devastat2
		dc.l icons_sontank
		dc.l icons_trike
		dc.l icons_raidtrik
		dc.l icons_quad
		dc.l icons_harvestr
		dc.l icons_mcv
		dc.l icons_deathand
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_sandworm
		dc.l icons_launcher
		dc.l icons_superlauncher	; 1b
		dc.l icons_rocketquad		; 1c
		dc.l icons_lasertank		; 1d
		dc.l icons_hover	; 1e
		dc.l icons_orka		; 1f
		dc.l icons_upgrade	; 20
		dc.l icons_stop2	; 21

		dc.l icons_exit		; 22
		dc.l icons_fix		; 23
		dc.l icons_stop		; 24
		dc.l icons_fix2		; 25
		
		dc.l icons_fremens	; 26
		dc.l icons_fremen	; 27
		dc.l icons_fremen	; 28
		dc.l icons_sardaukars	; 29
		dc.l icons_sardaukar	; 30
		dc.l icons_sardaukar	; 31
		
		
icons_superlauncher:
 incbin	gfx\small_icons\hurricane.smd
icons_hover:
 incbin	gfx\small_icons\hover.smd
icons_orka:
 incbin	gfx\small_icons\orka.smd
icons_rocketquad:
 incbin	gfx\small_icons\rocketquad.smd
icons_lasertank:
 incbin gfx\small_icons\lasertank.smd
icons_blank1:
 incbin gfx\small_icons\lasertank.smd
icons_blank:
 incbin gfx\small_icons\lasertank.smd
 
 
icons_palace:
 incbin	gfx\small_icons\palace(4).smd
icons_factory:
 incbin	gfx\small_icons\factory(4).smd
icons_hfactory:
 incbin	gfx\small_icons\hfactory(4).smd
icons_hitech:
 incbin	gfx\small_icons\hitech(4).smd
icons_cnstyard:
 incbin	gfx\small_icons\cnstyard(4).smd
icons_windtrap:
 incbin	gfx\small_icons\windtrap(4).smd
icons_barrac:
 incbin	gfx\small_icons\barrac.smd
icons_starport:
 incbin	gfx\small_icons\starport(4).smd
icons_refinery:
 incbin	gfx\small_icons\refinery(4).smd
icons_repair:
 incbin	gfx\small_icons\repair(4).smd
icons_wall:
 incbin	gfx\small_icons\wall(4).smd
icons_turret:
 incbin	gfx\small_icons\turret(4).smd
icons_rturret:
 incbin	gfx\small_icons\rturret(4).smd
icons_spcsilos:
 incbin	gfx\small_icons\spcsilos.smd
icons_outpost:
 incbin	gfx\small_icons\outpost(4).smd
icons_slabx1:
icons_slabx4:
 incbin	gfx\small_icons\slabs.smd
icons_ix:
 incbin	gfx\small_icons\ix(4).smd
icons_wor:
 incbin gfx\small_icons\wor(4).smd 

icons_upgrade:
 incbin	gfx\small_icons\upgrade.smd
icons_hvy_tank:
 incbin	gfx\small_icons\hvy_tank.smd
icons_deathand:
 incbin	gfx\small_icons\deathand(4).smd
icons_quad:
 incbin	gfx\small_icons\quad.smd
icons_trooper:
 incbin	gfx\small_icons\trooper.smd
icons_carryall:
 incbin	gfx\small_icons\carryall.smd
icons_tank:
 incbin	gfx\small_icons\tank.smd
icons_sontank:
 incbin	gfx\small_icons\sontank(2).smd
icons_trike:
 incbin	gfx\small_icons\trike.smd
icons_raidtrik:
 incbin	gfx\small_icons\raidtrik.smd
icons_infantry:
 incbin	gfx\small_icons\infantry(4).smd
icons_fremens:
 incbin	gfx\small_icons\fremens.smd
icons_sardaukar:
 incbin	gfx\small_icons\sardukar.smd
icons_sardaukars:
 incbin	gfx\small_icons\sardukars.smd 
icons_saboteur:
 incbin	gfx\small_icons\saboteur(4).smd
icons_thopter:
 incbin	gfx\small_icons\thopter.smd
icons_launcher:
 incbin	gfx\small_icons\launcher.smd
icons_harvestr:
 incbin	gfx\small_icons\harvestr.smd
icons_mcv:
 incbin	gfx\small_icons\mcv.smd
icons_soldier:
 incbin	gfx\small_icons\soldier(4).smd
icons_troopers:
 incbin	gfx\small_icons\troopers.smd
icons_fremen:
 incbin	gfx\small_icons\fremen.smd
icons_sandworm:
 incbin	gfx\small_icons\sandworm(4).smd
icons_devastat:
 incbin	gfx\small_icons\devastat(3).smd
icons_deviator:
 incbin	gfx\small_icons\deviator(4).smd
icons_devastat2:
 incbin gfx\small_icons\devastat(veh).smd

 
icons_struc_lg:
		dc.l iconl_slabs
		dc.l iconl_slabs
		dc.l iconl_palace
		dc.l iconl_factory
		dc.l iconl_hfactory
		dc.l iconl_hitech
		dc.l iconl_ix
		dc.l iconl_wor
		dc.l iconl_cnstyard
		dc.l iconl_windtrap
		dc.l iconl_barrac
		dc.l iconl_starport
		dc.l iconl_refinery
		dc.l iconl_repair
		dc.l iconl_wall
		dc.l iconl_turret
		dc.l iconl_rturret
		dc.l iconl_spcsilos
		dc.l iconl_outpost

icons_units_lg:	dc.l iconl_carryall
		dc.l iconl_thopter
		dc.l iconl_infantry
		dc.l iconl_troopers
		dc.l iconl_soldier
		dc.l iconl_trooper
		dc.l iconl_saboteur
		dc.l iconl_launcher
		dc.l iconl_deviator
		dc.l iconl_tank
		dc.l iconl_hvy_tank
		dc.l iconl_devastat
		dc.l iconl_sontank
		dc.l iconl_trike
		dc.l iconl_raidtrik
		dc.l iconl_quad
		dc.l iconl_harvestr	; 10
		dc.l iconl_mcv		; 11
		dc.l iconl_death_hand	; 12
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_sandworm	; 19
		dc.l iconl_starport	; 1A
		dc.l iconl_superlauncher ; 1b
		dc.l iconl_rocketquad	; 1c
		dc.l iconl_lasertank	; 1d
		dc.l iconl_hovertank	; 1e
		dc.l iconl_orka		; 1f
		
		dc.l iconl_starport	; 20
		dc.l iconl_starport	; 21
		dc.l iconl_starport	; 22
		dc.l iconl_starport	; 23
		dc.l iconl_starport	; 24
		dc.l iconl_starport	; 25
		
		dc.l iconl_fremens	; 26
		dc.l iconl_fremen	; 27
		dc.l iconl_fremen	; 28
		dc.l iconl_sardaukars	; 29
		dc.l iconl_sardaukar	; 30
		dc.l iconl_sardaukar	; 31
		
iconl_slabs:		
	incbin	gfx\large_icons\builds\slab_pal.bin
	incbin	gfx\large_icons\builds\slab.smd

iconl_palace:		
	incbin	gfx\large_icons\builds\palace_pal.bin
	incbin	gfx\large_icons\builds\palace.smd
	
iconl_factory:		
	incbin	gfx\large_icons\builds\light_factory_pal.bin
	incbin	gfx\large_icons\builds\light_factory.smd
	
iconl_hfactory:		
	incbin	gfx\large_icons\builds\heavy_factory_pal.bin
	incbin	gfx\large_icons\builds\heavy_factory.smd
	
iconl_hitech:		
	incbin	gfx\large_icons\builds\hi_tech_pal.bin
	incbin	gfx\large_icons\builds\hi_tech.smd
	
iconl_ix:		
	incbin	gfx\large_icons\builds\ix_pal.bin
	incbin	gfx\large_icons\builds\ix.smd	
	
iconl_wor:		
	incbin	gfx\large_icons\builds\wor_pal.bin
	incbin	gfx\large_icons\builds\wor.smd	

iconl_cnstyard:		
	incbin	gfx\large_icons\builds\const_yard_pal.bin
	incbin	gfx\large_icons\builds\const_yard.smd	

iconl_windtrap:		
	incbin	gfx\large_icons\builds\windtrap_pal.bin
	incbin	gfx\large_icons\builds\windtrap.smd	

iconl_barrac:		
	incbin	gfx\large_icons\builds\barracks_pal.bin
	incbin	gfx\large_icons\builds\barracks.smd	

iconl_starport:		
	incbin	gfx\large_icons\builds\starport_pal.bin
	incbin	gfx\large_icons\builds\starport.smd	

iconl_refinery:		
	incbin	gfx\large_icons\builds\refinery_pal.bin
	incbin	gfx\large_icons\builds\refinery.smd	

iconl_repair:		
	incbin	gfx\large_icons\builds\repair_pal.bin
	incbin	gfx\large_icons\builds\repair.smd	

iconl_wall:		
	incbin	gfx\large_icons\builds\wall_pal.bin
	incbin	gfx\large_icons\builds\wall.smd	

iconl_turret:		
	incbin	gfx\large_icons\builds\turret_pal.bin
	incbin	gfx\large_icons\builds\turret.smd	

iconl_rturret:		
	incbin	gfx\large_icons\builds\r_turret_pal.bin
	incbin	gfx\large_icons\builds\r_turret.smd	

iconl_spcsilos:		
	incbin	gfx\large_icons\builds\spice_silo_pal.bin
	incbin	gfx\large_icons\builds\spice_silo.smd

iconl_outpost:		
	incbin	gfx\large_icons\builds\outpost_pal.bin
	incbin	gfx\large_icons\builds\outpost.smd	
	
; ---------------------------------------------------------------------------
iconl_carryall:
	incbin	gfx\large_icons\units\carryall_pal.bin
	incbin	gfx\large_icons\units\carryall.smd
	
iconl_thopter:
	incbin	gfx\large_icons\units\thopter_pal.bin
	incbin	gfx\large_icons\units\thopter.smd

iconl_infantry:
	incbin	gfx\large_icons\units\infantry_pal.bin
	incbin	gfx\large_icons\units\infantry.smd

iconl_troopers:
	incbin	gfx\large_icons\units\troopers_pal.bin
	incbin	gfx\large_icons\units\troopers.smd
	
iconl_soldier:
	incbin	gfx\large_icons\units\soldier_pal.bin
	incbin	gfx\large_icons\units\soldier.smd

iconl_trooper:
	incbin	gfx\large_icons\units\trooper_pal.bin
	incbin	gfx\large_icons\units\trooper.smd	

iconl_saboteur:
	incbin	gfx\large_icons\units\saboteur_pal.bin
	incbin	gfx\large_icons\units\saboteur.smd
	
iconl_launcher:
	incbin	gfx\large_icons\units\launcher_pal.bin
	incbin	gfx\large_icons\units\launcher.smd
	
iconl_deviator:
	incbin	gfx\large_icons\units\deviator_pal.bin
	incbin	gfx\large_icons\units\deviator.smd

iconl_tank:
	incbin	gfx\large_icons\units\tank_pal.bin
	incbin	gfx\large_icons\units\tank.smd	
	
iconl_hvy_tank:
	incbin	gfx\large_icons\units\heavy_tank_pal.bin
	incbin	gfx\large_icons\units\heavy_tank.smd

iconl_devastat:
	incbin	gfx\large_icons\units\devastator_pal.bin
	incbin	gfx\large_icons\units\devastator.smd
	
iconl_sontank:
	incbin	gfx\large_icons\units\sonic_tank_pal.bin
	incbin	gfx\large_icons\units\sonic_tank.smd	
	
iconl_trike:
	incbin	gfx\large_icons\units\trike_pal.bin
	incbin	gfx\large_icons\units\trike.smd	

iconl_raidtrik:
	incbin	gfx\large_icons\units\raider_trike_pal.bin
	incbin	gfx\large_icons\units\raider_trike.smd

iconl_quad:
	incbin	gfx\large_icons\units\quad_pal.bin
	incbin	gfx\large_icons\units\quad.smd		
	
iconl_harvestr:
	incbin	gfx\large_icons\units\harvester_pal.bin
	incbin	gfx\large_icons\units\harvester.smd	
	
iconl_mcv:
	incbin	gfx\large_icons\units\mcv_pal.bin
	incbin	gfx\large_icons\units\mcv.smd	
	
iconl_death_hand:
	incbin	gfx\large_icons\units\death_hand_pal.bin
	incbin	gfx\large_icons\units\death_hand.smd

iconl_sandworm:
	incbin	gfx\large_icons\units\sandworm_pal.bin
	incbin	gfx\large_icons\units\sandworm.smd

iconl_superlauncher:
	incbin	gfx\large_icons\units\hurricane_pal.bin
	incbin	gfx\large_icons\units\hurricane.smd

iconl_hovertank:
	incbin	gfx\large_icons\units\hovertank_pal.bin
	incbin	gfx\large_icons\units\hovertank.smd

iconl_orka:
	incbin	gfx\large_icons\units\orka_pal.bin
	incbin	gfx\large_icons\units\orka.smd

iconl_rocketquad:
	incbin	gfx\large_icons\units\rocketquad_pal.bin
	incbin	gfx\large_icons\units\rocketquad.smd
	
iconl_lasertank:
	incbin	gfx\large_icons\units\lasertank_pal.bin
	incbin	gfx\large_icons\units\lasertank.smd	
	
iconl_fremen:
	incbin	gfx\large_icons\units\fremen_pal.bin
	incbin	gfx\large_icons\units\fremen.smd	
iconl_fremens:
	incbin	gfx\large_icons\units\fremens_pal.bin
	incbin	gfx\large_icons\units\fremens.smd	
iconl_sardaukar:
	incbin	gfx\large_icons\units\sardaukar_pal.bin
	incbin	gfx\large_icons\units\sardaukar.smd	
iconl_sardaukars:
	incbin	gfx\large_icons\units\sardaukars_pal.bin
	incbin	gfx\large_icons\units\sardaukars.smd	
	
; ---------------------------------------------------------------------------
vram7340:
 incbin	gfx\sprites_std\harvtail.smd
 incbin	gfx\sprites_std\hvytank1.smd
 incbin	gfx\sprites_std\quad.smd
 incbin	gfx\sprites_std\trike.smd
 incbin	gfx\sprites_std\soldier.smd
 incbin	gfx\sprites_std\trooper.smd
 incbin	gfx\sprites_std\devastat.smd
 incbin	gfx\sprites_std\harvester_spr1.smd
 incbin	gfx\sprites_std\harvester_spr3.smd
 incbin	gfx\sprites_std\hvytank2_spr1.smd
 incbin	gfx\sprites_std\hvytank2_spr3.smd
 incbin	gfx\sprites_std\hvytank2_spr2.smd
 incbin	gfx\sprites_std\harvester_spr2.smd
 incbin	gfx\sprites_std\launcher_spr2.smd
 incbin	gfx\sprites_std\launcher_spr1.smd
 incbin	gfx\sprites_std\launcher_spr3.smd
 incbin	gfx\sprites_std\mcv_spr1.smd
 incbin	gfx\sprites_std\mcv_spr3.smd
 incbin	gfx\sprites_std\mcv_spr2.smd
 incbin	gfx\sprites_std\sonictank_spr2.smd
 incbin	gfx\sprites_std\sonictank_spr1.smd
 incbin	gfx\sprites_std\sonictank_spr3.smd
 
; incbin gfx\sprites_std\tank1_spr1.smd
; incbin gfx\sprites_std\tank1_spr2.smd
; incbin gfx\sprites_std\tank1_spr3.smd
 incbin	gfx\sprites_std\lasert_body1.smd
 incbin	gfx\sprites_std\lasert_body2.smd
 incbin	gfx\sprites_std\lasert_body3.smd

 incbin	gfx\sprites_std\tank2_spr1.smd
 incbin	gfx\sprites_std\tank2_spr2.smd
 incbin	gfx\sprites_std\tank2_spr3.smd

 incbin	gfx\sprites_std\tcannexp_spr1.smd
 incbin	gfx\sprites_std\tcannexp_spr2-3.smd

 incbin	gfx\sprites_std\explode1_spr1.smd
 incbin	gfx\sprites_std\explode1_spr2-5.smd

 incbin	gfx\sprites_std\explode2_spr1.smd
 incbin	gfx\sprites_std\explode2_spr2.smd
 incbin	gfx\sprites_std\explode2_spr4.smd
 incbin	gfx\sprites_std\explode2_spr3.smd
 incbin	gfx\sprites_std\explode2_spr5.smd

 incbin	gfx\sprites_std\sonblast_spr1-2.smd
 incbin	gfx\sprites_std\sonblast_spr3.smd

 incbin	gfx\sprites_std\deviagas_spr1.smd
 incbin	gfx\sprites_std\deviagas_spr2.smd
 incbin	gfx\sprites_std\deviagas_spr3-5.smd

 incbin	gfx\sprites_std\sandworm.smd

 incbin gfx\sprites_std\rocket1.smd
 incbin gfx\sprites_std\rocket2_spr1.smd
 incbin gfx\sprites_std\rocket2_spr5.smd
 incbin gfx\sprites_std\rocket2_spr3.smd
 incbin gfx\sprites_std\rocket2_spr2.smd
 incbin gfx\sprites_std\rocket2_spr4.smd
 
 incbin gfx\sprites_std\thopter_spr1.smd
 incbin gfx\sprites_std\thopter_spr3.smd
 incbin	gfx\sprites_std\hftank.smd 
vram7340_end: 

vramD800:
 incbin gfx\sprites_std\repair.smd
 incbin gfx\sprites_std\lightnin.smd
 incbin gfx\sprites_std\okay(1).smd
 incbin gfx\sprites_std\cantbuil.smd
 incbin gfx\sprites_std\infblood.smd
 incbin gfx\sprites_std\sldblood.smd

vramF980:
 incbin gfx\sprites_std\carryall_spr1.smd
 incbin gfx\sprites_std\carryall_spr2.smd
 incbin gfx\sprites_std\carryall_spr3.smd
 incbin gfx\sprites_std\deadsldr.smd
 incbin gfx\sprites_std\deadsldr2.smd
 incbin gfx\sprites_std\bullet.smd
vram0000:
 
creditslow_spr:
 incbin gfx\sprites_std\credslow.smd
creditslow_spr_ru:
 incbin gfx\sprites_std\credslow_ru.smd
 
; ---------------------------------------------------------------------------
thopters_tiles:
		incbin gfx\sprites_std\thopter_spr1c.smd
		incbin gfx\sprites_std\thopter_spr1b.smd
		incbin gfx\sprites_std\thopter_spr1a.smd

		incbin gfx\sprites_std\thopter_spr3c.smd
		incbin gfx\sprites_std\thopter_spr3b.smd
		incbin gfx\sprites_std\thopter_spr3a.smd
		
thopter2a_spr:
 incbin	gfx\sprites_std\thopter_spr2a.smd
thopter2b_spr
 incbin	gfx\sprites_std\thopter_spr2b.smd
thopter2c_spr
 incbin	gfx\sprites_std\thopter_spr2c.smd
 
; ---------------------------------------------------------------------------
unk_66640:
 incbin	gfx\sprites_std\saboteur0.smd
unk_66660:
 incbin	gfx\sprites_std\saboteur1.smd
unk_66680:
 incbin	gfx\sprites_std\saboteur2.smd
unk_666A0:
 incbin	gfx\sprites_std\saboteur3.smd
unk_666C0:
 incbin	gfx\sprites_std\saboteur4.smd
unk_666E0:
 incbin gfx\sprites_std\saboteur5.smd
unk_66700:
 incbin	gfx\sprites_std\saboteur6.smd
unk_66720:
 incbin	gfx\sprites_std\saboteur7.smd
unk_66740:
 incbin	gfx\sprites_std\saboteur8.smd
unk_66760:
 incbin	gfx\sprites_std\saboteur9.smd
; --------------------------------------------------------------------------- 
worm_eat1_spr:
 incbin	gfx\sprites_std\wormeat1.smd
worm_eat2_spr:
 incbin	gfx\sprites_std\wormeat2.smd
worm_eat3_spr:
 incbin gfx\sprites_std\wormeat3.smd
worm_eat4_spr:
 incbin	gfx\sprites_std\wormeat4.smd
worm_eat5_spr:
 incbin	gfx\sprites_std\wormeat5.smd
; ---------------------------------------------------------------------------
deathhand1_spr:
 incbin	gfx\sprites_std\deathan1.smd
deathhand2_spr:
 incbin	gfx\sprites_std\deathan2.smd
deathhand3_spr:
 incbin	gfx\sprites_std\deathan3.smd
deathhand4_spr:
 incbin	gfx\sprites_std\deathan4.smd
deathhand5_spr:
 incbin	gfx\sprites_std\deathan5.smd
; ---------------------------------------------------------------------------
frigate1_spr:
 incbin	gfx\sprites_std\frigate1.smd
frigate2_spr:
 incbin	gfx\sprites_std\frigate2.smd
frigate3_spr:
 incbin	gfx\sprites_std\frigate3.smd
frigate4_spr:
 incbin	gfx\sprites_std\frigate4.smd 
; ---------------------------------------------------------------------------
smoke1_spr:
 incbin	gfx\sprites_std\smoke1.smd
smoke2_spr:
 incbin	gfx\sprites_std\smoke2.smd
smoke3_spr:
 incbin	gfx\sprites_std\smoke3.smd
; ---------------------------------------------------------------------------
 
bmenu_cursor:
 incbin	gfx\sprites_std\bmenucurB.smd
 incbin	gfx\sprites_std\bmenucurA.smd
 incbin	gfx\sprites_std\bmenucurC.smd
 incbin	gfx\sprites_std\bmenucurF.smd

bmenu_buildsize:
 incbin	gfx\sprites_std\bmnbsize.smd
 
price_spr:
 incbin	gfx\sprites_std\price.smd
energy_spr:
 incbin	gfx\sprites_std\energy.smd
damage_spr:
 incbin	gfx\sprites_std\damage.smd
armor_spr:
 incbin	gfx\sprites_std\armor.smd

big_cur_sprite:
 incbin	gfx\sprites_std\bigcurs.smd
 
build_area_spr:
 incbin	gfx\sprites_std\builarea.smd

cur_target_spr:
 incbin	gfx\sprites_std\curstarg.smd
cur_unit_spr:
 incbin	gfx\sprites_std\cursunit.smd
cur_moving_spr:
 incbin	gfx\sprites_std\cursmovn.smd
cur_redtar_spr:
 incbin	gfx\sprites_std\curstarr.smd
build_sel_spr:
 incbin	gfx\sprites_std\buildsel.smd
build_sel_spr2:
 incbin	gfx\sprites_std\buildsel2.smd
radar_cur_spr:
 incbin	gfx\sprites_std\radarcur.smd
arrow_spr:
 incbin	gfx\sprites_std\arrow.smd

radar_off0_spr:
 incbin	gfx\sprites_std\rad_off0.smd
radar_off1_spr:
 incbin	gfx\sprites_std\rad_off1.smd
radar_off2_spr:
 incbin	gfx\sprites_std\rad_off2.smd
radar_off3_spr:
 incbin	gfx\sprites_std\rad_off3.smd
radar_off4_spr:
 incbin	gfx\sprites_std\rad_off4.smd
radar_off5_spr:
 incbin	gfx\sprites_std\rad_off5.smd
radar_off6_spr:
 incbin	gfx\sprites_std\rad_off6.smd
radar_off7_spr:
 incbin	gfx\sprites_std\rad_off7.smd
radar_off8_spr:
 incbin	gfx\sprites_std\rad_off8.smd
radar_off9_spr:
 incbin	gfx\sprites_std\rad_off9.smd
radar_offA_spr:
 incbin	gfx\sprites_std\rad_offA.smd
radar_offB_spr:
 incbin	gfx\sprites_std\rad_offB.smd

empty_spr:
 incbin	gfx\sprites_std\empty.smd

house_spheres:
 incbin	gfx\sprites_std\hspheres.smd
 
; ---------------------------------------------------------------------------

unit_types:	dc.l _CARRYALL	; 0
		dc.l _THOPTER	; 1
		dc.l _INFANTRY	; 2
		dc.l _TROOPERS	; 3
		dc.l _SOLDIER	; 4
		dc.l _TROOPER	; 5
		dc.l _SABOTEUR	; 6
		dc.l _LAUNCHER	; 7
		dc.l _DEVIATOR	; 8
		dc.l _TANK	; 9
		dc.l _HEAVY_TANK ; A
		dc.l _DEVASTATOR	; B
		dc.l _SONIC_TANK	; C
		dc.l _TRIKE	; D
		dc.l _RAIDER_TRIKE ; E
		dc.l _QUAD	; F
		dc.l _HARVESTER	; $10
		dc.l _MCV	; $11
		dc.l _DEATH_HAND ; $12
		dc.l _ROCKET	; $13
		dc.l _AROCKET	; $14
		dc.l _GROCKET	; $15
		dc.l _MINIROCKET	; $16
		dc.l _BULLET	; $17
		dc.l _SONIC_BLAST ; $18
		dc.l _SANDWORM	; $19
		dc.l _FRIGATE	; $1A

		dc.l _SUPERLAUNCHER ; $1B
		dc.l _ROCKETQUAD	; $1C
		dc.l _LASERTANK	; $1D
		dc.l _HOVERTANK	; $1E
		dc.l _ORKA	; $1F
		

_CARRYALL:	incbin	units\carryall.bin
_THOPTER:	incbin	units\thopter.bin
_INFANTRY:	incbin	units\infantry.bin
_TROOPERS:	incbin	units\troopers.bin
_SOLDIER:	incbin	units\soldier.bin
_TROOPER:	incbin	units\trooper.bin
_SABOTEUR:	incbin	units\saboteur.bin
_LAUNCHER:	incbin	units\launcher.bin
_DEVIATOR:	incbin	units\deviator.bin
_TANK:		incbin	units\tank.bin
_HEAVY_TANK:	incbin	units\heavy_tank.bin
_DEVASTATOR:	incbin	units\devastator.bin
_SONIC_TANK:	incbin	units\sonic_tank.bin
_TRIKE:		incbin	units\trike.bin
_RAIDER_TRIKE:	incbin	units\raider_trike.bin
_QUAD:		incbin	units\quad.bin
_HARVESTER:	incbin	units\harvester.bin
_MCV:		incbin	units\mcv.bin
_DEATH_HAND:	incbin	units\death_hand.bin
_ROCKET:	incbin	units\rocket.bin
_AROCKET:	incbin	units\arocket.bin
_GROCKET:	incbin	units\grocket.bin
_MINIROCKET:	incbin	units\minirocket.bin
_BULLET:	incbin	units\bullet.bin
_SONIC_BLAST:	incbin	units\sonic_blast.bin
_SANDWORM:	incbin	units\sandworm.bin
_FRIGATE:	incbin	units\frigate.bin
_SUPERLAUNCHER:	incbin	units\superlauncher.bin
_ROCKETQUAD:	incbin	units\rocketquad.bin
_LASERTANK:	incbin	units\lastertank.bin
_HOVERTANK:	incbin	units\hovertank.bin
_ORKA:		incbin	units\orka.bin


unit_names_eng:
		dc.l CARRYALL_eng
		dc.l THOPTER_eng
		dc.l INFANTRY_eng
		dc.l TROOPERS_eng
		dc.l SOLDIER_eng
		dc.l TROOPER_eng
		dc.l SABOTEUR_eng
		dc.l LAUNCHER_eng
		dc.l DEVIATOR_eng
		dc.l TANK_eng
		dc.l HEAVY_TANK_eng
		dc.l DEVASTATOR_eng
		dc.l SONIC_TANK_eng
		dc.l TRIKE_eng
		dc.l RAIDER_TRIKE_eng
		dc.l QUAD_eng
		dc.l HARVESTER_eng
		dc.l MCV_eng
		dc.l DEATH_HAND_eng
		dc.l ROCKET_eng
		dc.l AROCKET_eng
		dc.l GROCKET_eng
		dc.l MINIROCKET_eng
		dc.l BULLET_eng
		dc.l SONIC_BLAST_eng
		dc.l SANDWORM_eng
		dc.l FRIGATE_eng

		dc.l SUPERLAUNCHER_eng
		dc.l ROCKETQUAD_eng
		dc.l LASERTANK_eng
		dc.l HOVERTANK_eng
		dc.l ORKA_eng
		
		dc.l FREMENS_eng
		dc.l FREMEN_eng
		dc.l SARDAUKARS_eng
		dc.l SARDAUKAR_eng
unit_names_rus:
		dc.l CARRYALL_rus
		dc.l THOPTER_rus
		dc.l INFANTRY_rus
		dc.l TROOPERS_rus
		dc.l SOLDIER_rus
		dc.l TROOPER_rus
		dc.l SABOTEUR_rus
		dc.l LAUNCHER_rus
		dc.l DEVIATOR_rus
		dc.l TANK_rus
		dc.l HEAVY_TANK_rus
		dc.l DEVASTATOR_rus
		dc.l SONIC_TANK_rus
		dc.l TRIKE_rus
		dc.l RAIDER_TRIKE_rus
		dc.l QUAD_rus
		dc.l HARVESTER_rus
		dc.l MCV_rus
		dc.l DEATH_HAND_rus
		dc.l ROCKET_rus
		dc.l AROCKET_rus
		dc.l GROCKET_rus
		dc.l MINIROCKET_rus
		dc.l BULLET_rus
		dc.l SONIC_BLAST_rus
		dc.l SANDWORM_rus
		dc.l FRIGATE_rus

		dc.l SUPERLAUNCHER_rus
		dc.l ROCKETQUAD_rus
		dc.l LASERTANK_rus
		dc.l HOVERTANK_rus
		dc.l ORKA_rus

		dc.l FREMENS_rus
		dc.l FREMEN_rus
		dc.l SARDAUKARS_rus
		dc.l SARDAUKAR_rus		
		
builds_types:	dc.l SLAB
		dc.l SLABx4
		dc.l PALACE
		dc.l LIGHT_FACTORY
		dc.l HEAVY_FACTORY
		dc.l HI_TECH
		dc.l IX
		dc.l WOR
		dc.l CONST_YARD
		dc.l WINDTRAP
		dc.l BARRACKS
		dc.l STARPORT
		dc.l REFINERY
		dc.l REPAIR
		dc.l WALL
		dc.l TURRET
		dc.l R_TURRET
		dc.l SPICE_SILO
		dc.l OUTPOST

SLAB:		incbin	buildings\slab.bin
SLABx4:		incbin	buildings\slabx4.bin
PALACE:		incbin	buildings\palace.bin
LIGHT_FACTORY:	incbin	buildings\light_factory.bin
HEAVY_FACTORY:	incbin	buildings\heavy_factory.bin
HI_TECH:	incbin	buildings\hi-tech.bin
IX:		incbin	buildings\ix.bin
WOR:		incbin	buildings\wor.bin
CONST_YARD:	incbin	buildings\const_yard.bin
WINDTRAP:	incbin	buildings\windtrap.bin
BARRACKS:	incbin	buildings\barracks.bin
STARPORT:	incbin	buildings\starport.bin
REFINERY:	incbin	buildings\refinery.bin
REPAIR:		incbin	buildings\repair.bin
WALL:		incbin	buildings\wall.bin
TURRET:		incbin	buildings\turret.bin
R_TURRET:	incbin	buildings\r-turret.bin
SPICE_SILO:	incbin	buildings\spice_silo.bin
OUTPOST:	incbin	buildings\outpost.bin		


buildings_names_eng:
		dc.l SLAB_eng
		dc.l SLABx4_eng
		dc.l PALACE_eng
		dc.l LIGHT_FACTORY_eng
		dc.l HEAVY_FACTORY_eng
		dc.l HI_TECH_eng
		dc.l IX_eng
		dc.l WOR_eng
		dc.l CONST_YARD_eng
		dc.l WINDTRAP_eng
		dc.l BARRACKS_eng
		dc.l STARPORT_eng
		dc.l REFINERY_eng
		dc.l REPAIR_eng
		dc.l WALL_eng
		dc.l TURRET_eng
		dc.l R_TURRET_eng
		dc.l SPICE_SILO_eng
		dc.l OUTPOST_eng

buildings_names_rus:
		dc.l SLAB_rus
		dc.l SLABx4_rus
		dc.l PALACE_rus
		dc.l LIGHT_FACTORY_rus
		dc.l HEAVY_FACTORY_rus
		dc.l HI_TECH_rus
		dc.l IX_rus
		dc.l WOR_rus
		dc.l CONST_YARD_rus
		dc.l WINDTRAP_rus
		dc.l BARRACKS_rus
		dc.l STARPORT_rus
		dc.l REFINERY_rus
		dc.l REPAIR_rus
		dc.l WALL_rus
		dc.l TURRET_rus
		dc.l R_TURRET_rus
		dc.l SPICE_SILO_rus
		dc.l OUTPOST_rus
		
		
maps_ptrs:	dc.l map_00
		dc.l map_01
		dc.l map_02
		dc.l map_03
		dc.l map_04
		dc.l map_05
		dc.l map_06
		dc.l map_07
		dc.l map_08
		dc.l map_09
		dc.l map_10
		dc.l map_11
		dc.l map_12
		dc.l map_13
		dc.l map_14
		dc.l map_15
		dc.l map_16
		dc.l map_17
		dc.l map_18
		dc.l map_19
		dc.l map_20
		dc.l map_21
		dc.l map_22
		dc.l map_23
		dc.l map_24
		dc.l map_25
		dc.l map_26
		dc.l map_27
		dc.l map_28
		dc.l map_29
		dc.l map_30
		dc.l map_31
		dc.l map_32
		dc.l map_33
		dc.l map_34
		dc.l map_35
		dc.l map_36
		dc.l map_37
		dc.l map_38
		dc.l map_39
		dc.l map_40
		dc.l map_41
		dc.l map_42
		dc.l map_43
		dc.l map_44

harkonnen_missions:
	dc.l	scenh001
	dc.l	scenh002
	dc.l	scenh003
	dc.l	scenh004
	dc.l	scenh005
	dc.l	scenh006
	dc.l	scenh007
	dc.l	scenh008
	dc.l	scenh009

atreides_missions:
	dc.l	scena001
	dc.l	scena002
	dc.l	scena003
	dc.l	scena004
	dc.l	scena005
	dc.l	scena006
	dc.l	scena007
	dc.l	scena008
	dc.l	scena009

ordos_missions:
	dc.l	sceno001
	dc.l	sceno002
	dc.l	sceno003
	dc.l	sceno004
	dc.l	sceno005
	dc.l	sceno006
	dc.l	sceno007
	dc.l	sceno008
	dc.l	sceno009

fremen_missions:
	dc.l	scenf001
	dc.l	scenf002
	dc.l	scenf003
	dc.l	scenf004
	dc.l	scenf005
	dc.l	scenf006
	dc.l	scenf007
	dc.l	scenf008
	dc.l	scenf009

sardaukar_missions
	dc.l	scens001
	dc.l	scens002
	dc.l	scens003
	dc.l	scens004
	dc.l	scens005
	dc.l	scens006
	dc.l	scens007
	dc.l	scens008
	dc.l	scens009


house_info_txt:	dc.l HarkBegins
		dc.l AtrBegins
		dc.l OrdBegins
		dc.l FremBegins
		dc.l SardBegins

atr_missio_txt:	dc.l AtrM0
		dc.l AtrM0Comp
		dc.l AtrM0Fail
		dc.l AtrM0Advice
		dc.l AtrM1
		dc.l AtrM1Comp
		dc.l AtrM1Fail
		dc.l AtrM1Advice
		dc.l AtrM2
		dc.l AtrM2Comp
		dc.l AtrM2Fail
		dc.l AtrM2Advice
		dc.l AtrM3
		dc.l AtrM3Comp
		dc.l AtrM3Fail
		dc.l AtrM3Advice
		dc.l AtrM4
		dc.l AtrM4Comp
		dc.l AtrM4Fail
		dc.l AtrM4Advice
		dc.l AtrM5
		dc.l AtrM5Comp
		dc.l AtrM5Fail
		dc.l AtrM5Advice
		dc.l AtrM6
		dc.l AtrM6Comp
		dc.l AtrM6Fail
		dc.l AtrM6Advice
		dc.l AtrM7
		dc.l AtrM7Comp
		dc.l AtrM7Fail
		dc.l AtrM7Advice
		dc.l AtrM8
		dc.l AtrM8Comp
		dc.l AtrM8Fail
		dc.l AtrM8Advice

ord_missio_txt:	dc.l OrdM0
		dc.l OrdM0Comp
		dc.l OrdM0Fail
		dc.l OrdM0Advice
		dc.l OrdM1
		dc.l OrdM1Comp
		dc.l OrdM1Fail
		dc.l OrdM1Advice
		dc.l OrdM2
		dc.l OrdM2Comp
		dc.l OrdM2Fail
		dc.l OrdM2Advice
		dc.l OrdM3
		dc.l OrdM3Comp
		dc.l OrdM3Fail
		dc.l OrdM3Advice
		dc.l OrdM4
		dc.l OrdM4Comp
		dc.l OrdM4Fail
		dc.l OrdM4Advice
		dc.l OrdM5
		dc.l OrdM5Comp
		dc.l OrdM5Fail
		dc.l OrdM5Advice
		dc.l OrdM6
		dc.l OrdM6Comp
		dc.l OrdM6Fail
		dc.l OrdM6Advice
		dc.l OrdM7
		dc.l OrdM7Comp
		dc.l OrdM7Fail
		dc.l OrdM7Advice
		dc.l OrdM8
		dc.l OrdM8Comp
		dc.l OrdM8Fail
		dc.l OrdM8Advice

hark_missi_txt:	dc.l HarkM0
		dc.l HarkM0Comp
		dc.l HarkM0Fail
		dc.l HarkM0Advice
		dc.l HarkM1
		dc.l HarkM1Comp
		dc.l HarkM1Fail
		dc.l HarkM1Advice
		dc.l HarkM2
		dc.l HarkM2Comp
		dc.l HarkM2Fail
		dc.l HarkM2Advice
		dc.l HarkM3
		dc.l HarkM3Comp
		dc.l HarkM3Fail
		dc.l HarkM3Advice
		dc.l HarkM4
		dc.l HarkM4Comp
		dc.l HarkM4Fail
		dc.l HarkM4Advice
		dc.l HarkM5
		dc.l HarkM5Comp
		dc.l HarkM5Fail
		dc.l HarkM5Advice
		dc.l HarkM6
		dc.l HarkM6Comp
		dc.l HarkM6Fail
		dc.l HarkM6Advice
		dc.l HarkM7
		dc.l HarkM7Comp
		dc.l HarkM7Fail
		dc.l HarkM7Advice
		dc.l HarkM8
		dc.l HarkM8Comp
		dc.l HarkM8Fail
		dc.l HarkM8Advice

Frem_missio_txt:
		dc.l FremM0
		dc.l FremM0Comp
		dc.l FremM0Fail
		dc.l FremM0Advice
		dc.l FremM1
		dc.l FremM1Comp
		dc.l FremM1Fail
		dc.l FremM1Advice
		dc.l FremM2
		dc.l FremM2Comp
		dc.l FremM2Fail
		dc.l FremM2Advice
		dc.l FremM3
		dc.l FremM3Comp
		dc.l FremM3Fail
		dc.l FremM3Advice
		dc.l FremM4
		dc.l FremM4Comp
		dc.l FremM4Fail
		dc.l FremM4Advice
		dc.l FremM5
		dc.l FremM5Comp
		dc.l FremM5Fail
		dc.l FremM5Advice
		dc.l FremM6
		dc.l FremM6Comp
		dc.l FremM6Fail
		dc.l FremM6Advice
		dc.l FremM7
		dc.l FremM7Comp
		dc.l FremM7Fail
		dc.l FremM7Advice
		dc.l FremM8
		dc.l FremM8Comp
		dc.l FremM8Fail
		dc.l FremM8Advice

Sard_missi_txt:	dc.l SardM0
		dc.l SardM0Comp
		dc.l SardM0Fail
		dc.l SardM0Advice
		dc.l SardM1
		dc.l SardM1Comp
		dc.l SardM1Fail
		dc.l SardM1Advice
		dc.l SardM2
		dc.l SardM2Comp
		dc.l SardM2Fail
		dc.l SardM2Advice
		dc.l SardM3
		dc.l SardM3Comp
		dc.l SardM3Fail
		dc.l SardM3Advice
		dc.l SardM4
		dc.l SardM4Comp
		dc.l SardM4Fail
		dc.l SardM4Advice
		dc.l SardM5
		dc.l SardM5Comp
		dc.l SardM5Fail
		dc.l SardM5Advice
		dc.l SardM6
		dc.l SardM6Comp
		dc.l SardM6Fail
		dc.l SardM6Advice
		dc.l SardM7
		dc.l SardM7Comp
		dc.l SardM7Fail
		dc.l SardM7Advice
		dc.l SardM8
		dc.l SardM8Comp
		dc.l SardM8Fail
		dc.l SardM8Advice

mentat_text:	dc.l hark_missi_txt
		dc.l atr_missio_txt
		dc.l ord_missio_txt
		dc.l frem_missio_txt
		dc.l sard_missi_txt


codes_a:	dc.l PassH_00
codes_h:	dc.w 0
codes_l:	dc.w 2
		dc.l PassA_00
		dc.w 1
		dc.w 2
		dc.l PassO_00
		dc.w 2
		dc.w 2
		dc.l PassF_00
		dc.w 3
		dc.w 2
		dc.l PassS_00
		dc.w 4
		dc.w 2

		dc.l PassH_01
		dc.w 0
		dc.w 3
		dc.l PassA_01
		dc.w 1
		dc.w 3
		dc.l PassO_01
		dc.w 2
		dc.w 3
		dc.l PassF_01
		dc.w 3
		dc.w 3
		dc.l PassS_01
		dc.w 4
		dc.w 3

		dc.l PassH_02
		dc.w 0
		dc.w 4
		dc.l PassA_02
		dc.w 1
		dc.w 4
		dc.l PassO_02
		dc.w 2
		dc.w 4
		dc.l PassF_02
		dc.w 3
		dc.w 4
		dc.l PassS_02
		dc.w 4
		dc.w 4

		dc.l PassH_03
		dc.w 0
		dc.w 5
		dc.l PassA_03
		dc.w 1
		dc.w 5
		dc.l PassO_03
		dc.w 2
		dc.w 5
		dc.l PassF_03
		dc.w 3
		dc.w 5
		dc.l PassS_03
		dc.w 4
		dc.w 5

		dc.l PassH_04
		dc.w 0
		dc.w 6
		dc.l PassA_04
		dc.w 1
		dc.w 6
		dc.l PassO_04
		dc.w 2
		dc.w 6
		dc.l PassF_04
		dc.w 3
		dc.w 6
		dc.l PassS_04
		dc.w 4
		dc.w 6

		dc.l PassH_05
		dc.w 0
		dc.w 7
		dc.l PassA_05
		dc.w 1
		dc.w 7
		dc.l PassO_05
		dc.w 2
		dc.w 7
		dc.l PassF_05
		dc.w 3
		dc.w 7
		dc.l PassS_05
		dc.w 4
		dc.w 7

		dc.l PassH_06
		dc.w 0
		dc.w 8
		dc.l PassA_06
		dc.w 1
		dc.w 8
		dc.l PassO_06
		dc.w 2
		dc.w 8
		dc.l PassF_06
		dc.w 3
		dc.w 8
		dc.l PassS_06
		dc.w 4
		dc.w 8

		dc.l PassH_07
		dc.w 0
		dc.w 9
		dc.l PassA_07
		dc.w 1
		dc.w 9
		dc.l PassO_07
		dc.w 2
		dc.w 9
		dc.l PassF_07
		dc.w 3
		dc.w 9
		dc.l PassS_07
		dc.w 4
		dc.w 9

		dc.l PassCheat0
		dc.w 5
		dc.w 0
		dc.l PassCheat1
		dc.w 6
		dc.w 0
		dc.l PassCheat2
		dc.w 7
		dc.w 0
		dc.l PassCheat3
		dc.w 9
		dc.w 0
		dc.l PassCheat4
		dc.w $A		
		dc.w 0

		dc.l PassCheat5
		dc.w $B	
		dc.w 0
		dc.l PassCheat6
		dc.w $C	
		dc.w 0		
		
		dc.l 0
		dc.w 0
		dc.w 0

sound_engine:		
		include	gems\gems.asm		
		
 IF (RU_PASSWORD=0)
	include	texts\password.asm
 ELSE 
	include texts\password_rus.asm
 ENDC
	
	
	
 IF (RU_NAMES=1)
	include texts\menus_rus.asm
	include texts\title_rus.asm
 ELSE
	include texts\menus.asm
	include texts\title.asm	
 ENDC
 
	
 IF (RU_DIALOGS=1)
	include texts\dialogs_hack_RUS.asm
 ELSE
	include texts\dialogs_hack.asm	
 ENDC	

	include	texts\titles.asm
 
 	include	buildings\builds_names_rus.asm
	include	units\unit_names_rus.asm
 	include	buildings\builds_names_eng.asm
	include	units\unit_names_eng.asm
	even

		IF	(EXPANDED_MAP=0)
map_00:
 incbin	maps\atreides\map_01.bin
map_01:
 incbin	maps\atreides\map_02.bin
map_02:
 incbin	maps\atreides\map_03.bin
map_03:
 incbin	maps\atreides\map_04.bin
map_04:
 incbin	maps\atreides\map_05.bin
map_05:
 incbin	maps\atreides\map_06.bin
map_06:
 incbin	maps\atreides\map_07.bin
map_07:
 incbin	maps\atreides\map_08.bin
map_08:
 incbin	maps\atreides\map_09.bin

map_09:
 incbin	maps\ordos\map_10.bin
map_10:
 incbin	maps\ordos\map_11.bin
map_11:
 incbin	maps\ordos\map_12.bin
map_12:
 incbin	maps\ordos\map_13.bin
map_13:
 incbin	maps\ordos\map_14.bin
map_14:
 incbin	maps\ordos\map_15.bin
map_15:
 incbin	maps\ordos\map_16.bin
map_16:
 incbin	maps\ordos\map_17.bin
map_17:
 incbin	maps\ordos\map_18.bin

map_18:
 incbin	maps\harkonnen\map_19.bin
map_19:
 incbin	maps\harkonnen\map_20.bin
map_20:
 incbin	maps\harkonnen\map_21.bin
map_21:
 incbin maps\harkonnen\map_22.bin
map_22:
 incbin	maps\harkonnen\map_23.bin
map_23:
 incbin	maps\harkonnen\map_24.bin
map_24:
 incbin	maps\harkonnen\map_25.bin
map_25:
 incbin	maps\harkonnen\map_26.bin
map_26:
 incbin	maps\harkonnen\map_27.bin

map_27:
 incbin	maps\sardaukar\map_28.bin
map_28:
 incbin	maps\sardaukar\map_29.bin
map_29:
 incbin	maps\sardaukar\map_30.bin
map_30:
 incbin	maps\sardaukar\map_31.bin
map_31:
 incbin	maps\sardaukar\map_32.bin
map_32:
 incbin	maps\sardaukar\map_33.bin
map_33:
 incbin	maps\sardaukar\map_34.bin
map_34:
 incbin	maps\sardaukar\map_35.bin
map_35:
 incbin	maps\sardaukar\map_36.bin

map_36:
 incbin	maps\fremen\map_37.bin
map_37:
 incbin	maps\fremen\map_38.bin
map_38:
 incbin	maps\fremen\map_39.bin
map_39:
 incbin	maps\fremen\map_40.bin
map_40:
 incbin	maps\fremen\map_41.bin
map_41:
 incbin	maps\fremen\map_42.bin
map_42:
 incbin	maps\fremen\map_43.bin
map_43:
 incbin	maps\fremen\map_44.bin
map_44:
 incbin	maps\fremen\map_45.bin

		ELSE

map_00:
 incbin	x128\maps\atreides\map_01.bin
map_01:
 incbin	x128\maps\atreides\map_02.bin
map_02:
 incbin	x128\maps\atreides\map_03.bin
map_03:
 incbin	x128\maps\atreides\map_04.bin
map_04:
 incbin	x128\maps\atreides\map_05.bin
map_05:
 incbin	x128\maps\atreides\map_06.bin
map_06:
 incbin	x128\maps\atreides\map_07.bin
map_07:
 incbin	x128\maps\atreides\map_08.bin
map_08:
 incbin	x128\maps\atreides\map_09.bin

map_09:
 incbin	x128\maps\ordos\map_10.bin
map_10:
 incbin	x128\maps\ordos\map_11.bin
map_11:
 incbin	x128\maps\ordos\map_12.bin
map_12:
 incbin	x128\maps\ordos\map_13.bin
map_13:
 incbin	x128\maps\ordos\map_14.bin
map_14:
 incbin	x128\maps\ordos\map_15.bin
map_15:
 incbin	x128\maps\ordos\map_16.bin
map_16:
 incbin	x128\maps\ordos\map_17.bin
map_17:
 incbin	x128\maps\ordos\map_18.bin

map_18:
 incbin	x128\maps\harkonnen\map_19.bin
map_19:
 incbin	x128\maps\harkonnen\map_20.bin
map_20:
 incbin	x128\maps\harkonnen\map_21.bin
map_21:
 incbin x128\maps\harkonnen\map_22.bin
map_22:
 incbin	x128\maps\harkonnen\map_23.bin
map_23:
 incbin	x128\maps\harkonnen\map_24.bin
map_24:
 incbin	x128\maps\harkonnen\map_25.bin
map_25:
 incbin	x128\maps\harkonnen\map_26.bin
map_26:
 incbin	x128\maps\harkonnen\map_27.bin

map_27:
 incbin	x128\maps\sardaukar\map_28.bin
map_28:
 incbin	x128\maps\sardaukar\map_29.bin
map_29:
 incbin	x128\maps\sardaukar\map_30.bin
map_30:
 incbin	x128\maps\sardaukar\map_31.bin
map_31:
 incbin	x128\maps\sardaukar\map_32.bin
map_32:
 incbin	x128\maps\sardaukar\map_33.bin
map_33:
 incbin	x128\maps\sardaukar\map_34.bin
map_34:
 incbin	x128\maps\sardaukar\map_35.bin
map_35:
 incbin	x128\maps\sardaukar\map_36.bin

map_36:
 incbin	x128\maps\fremen\map_37.bin
map_37:
 incbin	x128\maps\fremen\map_38.bin
map_38:
 incbin	x128\maps\fremen\map_39.bin
map_39:
 incbin	x128\maps\fremen\map_40.bin
map_40:
 incbin	x128\maps\fremen\map_41.bin
map_41:
 incbin	x128\maps\fremen\map_42.bin
map_42:
 incbin	x128\maps\fremen\map_43.bin
map_43:
 incbin	x128\maps\fremen\map_44.bin
map_44:
 incbin	x128\maps\fremen\map_45.bin

		ENDC

		IF	(EXPANDED_MAP=0)
scena001:
 incbin	missions\atreides\scena001.bin
scena002:
 incbin	missions\atreides\scena002.bin
scena003:
 incbin	missions\atreides\scena003.bin
scena004:
 incbin	missions\atreides\scena004.bin
scena005:
 incbin	missions\atreides\scena005.bin
scena006:
 incbin	missions\atreides\scena006.bin
scena007:
 incbin	missions\atreides\scena007.bin
scena008:
 incbin	missions\atreides\scena008.bin
scena009:
 incbin	missions\atreides\scena009.bin

scenh001:
 incbin	missions\harkonnen\scenh001.bin
scenh002:
 incbin	missions\harkonnen\scenh002.bin
scenh003:
 incbin	missions\harkonnen\scenh003.bin
scenh004:
 incbin	missions\harkonnen\scenh004.bin
scenh005:
 incbin	missions\harkonnen\scenh005.bin
scenh006:
 incbin	missions\harkonnen\scenh006.bin
scenh007:
 incbin	missions\harkonnen\scenh007.bin
scenh008:
 incbin	missions\harkonnen\scenh008.bin
scenh009:
 incbin	missions\harkonnen\scenh009.bin

sceno001:
 incbin	missions\ordos\sceno001.bin
sceno002:
 incbin	missions\ordos\sceno002.bin
sceno003:
 incbin	missions\ordos\sceno003.bin
sceno004:
 incbin	missions\ordos\sceno004.bin
sceno005:
 incbin	missions\ordos\sceno005.bin
sceno006:
 incbin	missions\ordos\sceno006.bin
sceno007:
 incbin	missions\ordos\sceno007.bin
sceno008:
 incbin	missions\ordos\sceno008.bin
sceno009:
 incbin	missions\ordos\sceno009.bin

scens001:
 incbin	missions\sardaukar\scens001.bin
scens002:
 incbin	missions\sardaukar\scens002.bin
scens003:
 incbin	missions\sardaukar\scens003.bin
scens004:
 incbin	missions\sardaukar\scens004.bin
scens005:
 incbin	missions\sardaukar\scens005.bin
scens006:
 incbin	missions\sardaukar\scens006.bin
scens007:
 incbin	missions\sardaukar\scens007.bin
scens008:
 incbin	missions\sardaukar\scens008.bin
scens009:
 incbin	missions\sardaukar\scens009.bin

scenf001:
 incbin	missions\fremen\scenf001.bin
scenf002:
 incbin	missions\fremen\scenf002.bin
scenf003:
 incbin	missions\fremen\scenf003.bin
scenf004:
 incbin	missions\fremen\scenf004.bin
scenf005:
 incbin	missions\fremen\scenf005.bin
scenf006:
 incbin	missions\fremen\scenf006.bin
scenf007:
 incbin	missions\fremen\scenf007.bin
scenf008:
 incbin	missions\fremen\scenf008.bin
scenf009:
 incbin	missions\fremen\scenf009.bin

	ELSE

scena001:
 incbin	x128\missions\atreides\scena001.bin
scena002:
 incbin	x128\missions\atreides\scena002.bin
scena003:
 incbin	x128\missions\atreides\scena003.bin
scena004:
 incbin	x128\missions\atreides\scena004.bin
scena005:
 incbin	x128\missions\atreides\scena005.bin
scena006:
 incbin	x128\missions\atreides\scena006.bin
scena007:
 incbin	x128\missions\atreides\scena007.bin
scena008:
 incbin	x128\missions\atreides\scena008.bin
scena009:
 incbin	x128\missions\atreides\scena009.bin

scenh001:
 incbin	x128\missions\harkonnen\scenh001.bin
scenh002:
 incbin	x128\missions\harkonnen\scenh002.bin
scenh003:
 incbin	x128\missions\harkonnen\scenh003.bin
scenh004:
 incbin	x128\missions\harkonnen\scenh004.bin
scenh005:
 incbin	x128\missions\harkonnen\scenh005.bin
scenh006:
 incbin	x128\missions\harkonnen\scenh006.bin
scenh007:
 incbin	x128\missions\harkonnen\scenh007.bin
scenh008:
 incbin	x128\missions\harkonnen\scenh008.bin
scenh009:
 incbin	x128\missions\harkonnen\scenh009.bin

sceno001:
 incbin	x128\missions\ordos\sceno001.bin
sceno002:
 incbin	x128\missions\ordos\sceno002.bin
sceno003:
 incbin	x128\missions\ordos\sceno003.bin
sceno004:
 incbin	x128\missions\ordos\sceno004.bin
sceno005:
 incbin	x128\missions\ordos\sceno005.bin
sceno006:
 incbin	x128\missions\ordos\sceno006.bin
sceno007:
 incbin	x128\missions\ordos\sceno007.bin
sceno008:
 incbin	x128\missions\ordos\sceno008.bin
sceno009:
 incbin	x128\missions\ordos\sceno009.bin

scens001:
 incbin	x128\missions\sardaukar\scens001.bin
scens002:
 incbin	x128\missions\sardaukar\scens002.bin
scens003:
 incbin	x128\missions\sardaukar\scens003.bin
scens004:
 incbin	x128\missions\sardaukar\scens004.bin
scens005:
 incbin	x128\missions\sardaukar\scens005.bin
scens006:
 incbin	x128\missions\sardaukar\scens006.bin
scens007:
 incbin	x128\missions\sardaukar\scens007.bin
scens008:
 incbin	x128\missions\sardaukar\scens008.bin
scens009:
 incbin	x128\missions\sardaukar\scens009.bin

scenf001:
 incbin	x128\missions\fremen\scenf001.bin
scenf002:
 incbin	x128\missions\fremen\scenf002.bin
scenf003:
 incbin	x128\missions\fremen\scenf003.bin
scenf004:
 incbin	x128\missions\fremen\scenf004.bin
scenf005:
 incbin	x128\missions\fremen\scenf005.bin
scenf006:
 incbin	x128\missions\fremen\scenf006.bin
scenf007:
 incbin	x128\missions\fremen\scenf007.bin
scenf008:
 incbin	x128\missions\fremen\scenf008.bin
scenf009:
 incbin	x128\missions\fremen\scenf009.bin

	ENDC
