; ---------------------------------------------------------------------------
;   gems   (       ).
;     sounds_info.txt
; $42 laser sound
; $43 turret shot sound

		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		
snd_table:	dc.b $FF, $FF, $FF, $FF, $FF, $FF, $2C,	$2A, $54, $FF ; $00-$09
		dc.b $FF, $FF, $19, $52, $51, $4F, $50,	$43, $44, $FF ; $0A-$13
		dc.b $46, $FF, $FF, $FF, $FF, $FF, $FF,	$53, $FF, $FF ; $14-$1D
		dc.b $4C, $4C, $4C, $4C, $4C, $4E, $17,	$FF, $28, $23 ; $1E-$27
		dc.b $24, $27, $4A, $22, $1D, $FF, $1C,	$1A, $FF, $27 ; $28-$31
		dc.b $47, $51, $1B, $15, $FF, $FF, $45,	$45, $48, $49 ; $32-$3B
		dc.b $FF, $FF, $4B, $4D, $48, $18		      ; $3C-$41
		
		dc.b  63,  61, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF ; $42+ for new sounds
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
; ---------------------------------------------------------------------------

;    (  snd_table).
weapon_explode_sounds:
		dc.b	$FF	; std bullet hit
		dc.b	$29	; explosive bullet hit
		dc.b	$32	; minirocket hit
		dc.b	$31	; missile hit
		dc.b	$38	; saboteur explosion
		dc.b	$FF	; 5
		dc.b	$FF	; devastator_add_explosions/building_mini_explosions
		dc.b	$39	; deviator missile hit
		dc.b	$39	; turret_missile_big_explode
		dc.b	$FF	; 9
		dc.b	$FF	; A
		dc.b	$FF	; devastator_first_explosion/death_hand_explosions
		dc.b	$FF	; C
		dc.b	$3F	; worm_eat
		dc.b	$33	; E
		dc.b	$FF	; minirocket burned building hit
		dc.b	$FF	; 10
		dc.b	$FF	; 11
		dc.b	$33	; 12
		dc.b	$39	; bloom or harvester explode
		dc.b	$1E	; soldier/trooper die scream
		dc.b	$1E	; infantry/troopers die scream
		dc.b	$23	; soldier/trooper razdavlen
		dc.b	$23	; infantry/troopers razdavlen

		even
; ---------------------------------------------------------------------------

;     (   ).
new_music_count dc.w 10

;   gems,    .

music_num_tbl:	dc.w $FFFF
music_time_tbl:	dc.w $FFFF
		dc.w	  5, $FFFF
		dc.w	$10, $FFFF
		dc.w	 $F, $FFFF
		dc.w	 $E, $FFFF
		dc.w	 $D, $FFFF
		dc.w	 $C, $FFFF
		dc.w	 $B, $FFFF
		dc.w	  1, $2724	; 8
		dc.w	  2, $1C98	; 9
		dc.w	  3, $1D88	; A
		dc.w	  4, $1F68	; B
		dc.w	 $A, $2670	; C
		dc.w   0096, $1AB8	; D  doom troopers lvl2
		dc.w   0088, $0F00	; E  battletech-005  1:04?
		dc.w   0089, $12FC	; F   vectorman2 - tank  1:21
		dc.w   0090, $0F00	; 10  vectorman1 - level1  1:04
		dc.w   0091, $14A0	; 11  vectorman2 - tornano  1:28
		dc.w   0092, $1D4C	; 12  doom troopers lvl4
		dc.w   0093, $7DA0	; 13 toy story level11 8:56
		dc.w   0094, $29F4	; 14  2:59 seconds jim_level1
		dc.w   0095, $4B00	; 15  5:20 seconds sonata
		dc.w   0099, $1950	; 16  ej2 puppy love  1:48
		dc.w   0097, $1C98	; 17  unused
		dc.w	  6, $FFFF
		dc.w	  0, $FFFF
		dc.w	  8, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w	  9, $FFFF
		dc.w	  7, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w	$12, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w  $FFFF, $FFFF
		dc.w	$11, $FFFF	; finale
; ---------------------------------------------------------------------------
; voice_event_play (  gems   )
; 0 ($41) - const. complete
; 1 ($40) - enemy unit approach
; $30 ($42) - base under attack

; $24 (deleted) - spice bloom located
; $37,$38,$39; $1e,$1f,$20; $44,$45,$46; $16,$17,$18 (deleted) - some acts by house
; $15 (deleted) - enemy?
; $29 (deleted) - you lose?

snd_table_2:	dc.b $41, $40, $40, $40, $40, $40, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $42, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		dc.b $FF, $FF, $FF, $FF, 0, 0
; ---------------------------------------------------------------------------
;
; 062  gems -     .
;
; ---------------------------------------------------------------------------
;   gems
		dc.b $25, $1E, $26, $16, $14, $21, $1F,	0
snd_type_tbl:	dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF   ; $00-$09
		dc.b $FF, $FF, $FF, $FF, $FF, $FF, $FF,	$FF, $FF, $FF   ; $0A-$13
		dc.b 0,	0, 0, 0, 0, 0, 0, 0, 0,	0	; sfx flag      ; $14-$1D
		dc.b 0,	0, 0, 0, 0, 0, 0, 0, 0,	0	; sfx flag      ; $1E-$27
		dc.b 0,	0, 0, 0, 0, 0, 0, 0, 0,	0	; sfx flag      ; $28-$31
		dc.b 0,	0, 0, 0, 0, 0, 0, 0, 0,	0	; sfx flag      ; $32-$3B
		dc.b 1,	1, 1, 1, 1, 1, 1, 1, 1,	1	; sample flag	; $3C-$45
		dc.b 1,	1, 1, 1, 1, 1, 1, 1, 1,	1 	; sample flag	; $46-$4F
		dc.b 1,	1, 1, 1, 1, 1, 1, 1, 1,	1	; sample flag	; $50-$5A
		dc.b 1,	1, 1, 1, 1, 1, 1, 1, 1,	1	; sample flag	; $5B+
; ---------------------------------------------------------------------------
		include	misc\scd_time.asm